# RSUITE Autocomplete

输入框自动完成功能。

[![bitHound Overall Score](https://www.bithound.io/github/rsuite/rsuite-autocomplete/badges/score.svg)](https://www.bithound.io/github/rsuite/rsuite-autocomplete)
[![bitHound Code](https://www.bithound.io/github/rsuite/rsuite-autocomplete/badges/code.svg)](https://www.bithound.io/github/rsuite/rsuite-autocomplete)
[![Coverage Status](https://coveralls.io/repos/github/rsuite/rsuite-autocomplete/badge.svg?branch=v2)](https://coveralls.io/github/rsuite/rsuite-autocomplete?branch=v2)
[![travis](https://img.shields.io/badge/build-passing-green.svg?style=flat-square)](https://travis-ci.org/rsuite/rsuite-uploader)
[![MIT licensed][license]]()

## 快速开始
### 安装
```bash
npm install rsuite-autocomplete --save-dev
```
### 样式
在 `less` 文件中引入:
```css
@import '~rsuite-autocomplete/lib/less/main';
```

### 示例
```javascript
import React from 'react';
import AutoCompete from 'rsuite-autocomplete';

export default React.createClass({
   render(){
       const dataSource = [
           "HYPER Advertiser",
           "HYPER Web Analytics",
           "HYPER Video Analytics",
           "HYPER DMP",
           "HYPER Ad Serving",
           "HYPER Data Discovery"
       ];

       return (
           <AutoComplete dataSource={dataSource}
                         placeholder="Product Name"/>
       )
   }
});
```

[license]:https://img.shields.io/npm/l/express.svg
