## API
### `<AutoComplete/>`

| 属性|类型|默认值|描述|
|---|---|---|---|
|classname|`String`|--|组件的 `classname`|
|placeholder|`String`|--|输入框的占位符|
|value|`String`|--|设置值`受控`|
|defaultValue|`String`|--|设置默认值|
|dataSource|[AutoComplete.Item][AutoCompleteItemTypeLink][]|--| `Autocomplete`的数据源 |
|disabled|`Bool`|--|是否禁用选择|
|onSelect|`function(value)`|--|被选中时调用，参数为选中项的 `value` 值。|
|onChange|`function(value)`|--|选中 option，或 input 的 value 变化时，调用此函数。，参数为选中项的 `value` 值。|

### `<AutoComplete.Item/>`
| 属性|类型|默认值|描述|
|---|---|---|---|
|text|`String`|--|展示的问题|
|active|`String`|--|是否激活|
|onClick|`function(value)`|--|点击时的回调|


[AutoCompleteItemTypeLink]:https://github.com/rsuite/rsuite-autocomplete/blob/master/src/component/AutoCompleteItem.js
